%define	lib_name_orig	libsmpeg
%define	lib_major	0.4
%define	lib_name	%mklibname %name %{lib_major}

Summary:	SDL MPEG Library
Name:		smpeg
Version:	0.4.4
Release:	%mkrel 41
License:	LGPL
Group:		Video
URL:		http://icculus.org/smpeg/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		smpeg-remove-rpath-in-smpeg-config.patch
Patch1:		smpeg-0.4.4-libsupc++.patch
Patch2:		smpeg-0.4.4-fix-m4.patch
Patch3:		smpeg-0.4.4-fix-underquoted-calls.patch
Patch4:		smpeg-0.4.4-fix-header.patch
Patch5:		smpeg-0.4.4-format_not_a_string_literal_and_no_format_arguments.diff
# (misc) since aclocal requires libgtk1-devel to regenerate the 
# configure script and others, we need to remove them from the file 
# with a axe. 
Patch6:     smpeg-0.4.4-remove-gtk1.patch
BuildRequires:	automake1.4
BuildRequires:	esound-devel
BuildRequires:	Mesa-common-devel
BuildRequires:	ncurses-devel
BuildRequires:	SDL-devel
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
#gw smpeg-config calls sdl-config
Requires:	SDL-devel

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{name}-player
Summary:	Simple MPEG player based on %{name} library
Group:		Video
Obsoletes:	%{lib_name}-player
Provides:	%{lib_name}-player = %{version}-%{release}

%description -n	%{name}-player
This package contains a MPEG player based on %{name}.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .libsupc++
%patch2 -p0
%patch3 -p1 -b .underquoted
%patch4 -p1 -b .header
%patch5 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch6 -p0

# needed by Patch1
aclocal-1.4
automake-1.4 --foreign
autoconf

%build
%configure --disable-gtk-player
# (gc) this sucking rpath thing...
perl -pi -e 's/finalize_rpath="\$rpath"/finalize_rpath=/' libtool
make

%install
rm -rf %{buildroot}

#make prefix=%{buildroot}/%{_prefix} install

%makeinstall

%multiarch_binaries %{buildroot}%{_bindir}/smpeg-config

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/plaympeg
%{_bindir}/glmovie
%{_mandir}/*/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%multiarch %{multiarch_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_datadir}/aclocal/smpeg.m4


%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.4-41mdv2010.0
+ Revision: 427199
- rebuild

* Fri Mar 20 2009 Michael Scherer <misc@mandriva.org> 0.4.4-40mdv2009.1
+ Revision: 359135
- completly remove gtk1 ( as we recreate the configure, the option was not enough )
- disable gtk1 player, so we can get ride of gtk1

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-39mdv2009.1
+ Revision: 317835
- fix build with -Werror=format-security (P5)

* Sun Aug 17 2008 Funda Wang <fwang@mandriva.org> 0.4.4-38mdv2009.0
+ Revision: 273025
- rebuild for new dfb

* Fri Jul 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-37mdv2009.0
+ Revision: 231787
- fix deps
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-35mdv2008.1
+ Revision: 179508
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Updated URL field.


* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-33mdv2007.0
+ Revision: 122860
- Rebuilt.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-32mdv2007.1
+ Revision: 122825
- Rebuilt against latest rpm-mandriva-setup.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-31mdv2007.1
+ Revision: 122700
- rebuilt again.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-30mdv2007.1
+ Revision: 122658
- Rebuilt against latest libggi.

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.4.4-29mdv2007.1
+ Revision: 109041
- patch to fix build with current gcc
- unpack patches

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add XDG Menu
    - Remove old debian menu
    - Import smpeg

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.4-28mdk
- fix underquoted calls (P3)
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4.4-27mdk
- Rebuild

* Mon Jan 31 2005 Olivier Blin <blino@mandrake.org> 0.4.4-26mdk
- multiarch support

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.4-25mdk
- rebuild

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.4-24mdk
- rebuild
- force use of automake1.4
- cosmetics

